Move record to a stage (with stage rules)
curl --request POST \
--url https://api.apyconnect.io/v1/objects/{key}/records/{id}/move \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"stage": "<string>",
"approval_note": "<string>"
}
'import requests
url = "https://api.apyconnect.io/v1/objects/{key}/records/{id}/move"
payload = {
"stage": "<string>",
"approval_note": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({stage: '<string>', approval_note: '<string>'})
};
fetch('https://api.apyconnect.io/v1/objects/{key}/records/{id}/move', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.apyconnect.io/v1/objects/{key}/records/{id}/move",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'stage' => '<string>',
'approval_note' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.apyconnect.io/v1/objects/{key}/records/{id}/move"
payload := strings.NewReader("{\n \"stage\": \"<string>\",\n \"approval_note\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.apyconnect.io/v1/objects/{key}/records/{id}/move")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"stage\": \"<string>\",\n \"approval_note\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.apyconnect.io/v1/objects/{key}/records/{id}/move")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"stage\": \"<string>\",\n \"approval_note\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"object": "stage_move",
"moved": true,
"status": "moved",
"stage": "<string>",
"approval_id": "<string>"
},
"meta": {
"request_id": "<string>"
}
}{
"data": {
"object": "stage_move",
"moved": true,
"status": "moved",
"stage": "<string>",
"approval_id": "<string>"
},
"meta": {
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"trace_id": "<string>",
"details": "<unknown>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"trace_id": "<string>",
"details": "<unknown>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"trace_id": "<string>",
"details": "<unknown>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"trace_id": "<string>",
"details": "<unknown>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"trace_id": "<string>",
"details": "<unknown>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"trace_id": "<string>",
"details": "<unknown>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"trace_id": "<string>",
"details": "<unknown>"
}
}Pipelines
Move record to a stage (with stage rules)
Moves through the stage rules: 200 when moved; 202 when the target stage requires approval (the record stays until approved); 409 stage_requirements with details.missing when requirements are unmet, or stage_approval_pending. The PATCH stage field follows the same rules.
POST
/
v1
/
objects
/
{key}
/
records
/
{id}
/
move
Move record to a stage (with stage rules)
curl --request POST \
--url https://api.apyconnect.io/v1/objects/{key}/records/{id}/move \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"stage": "<string>",
"approval_note": "<string>"
}
'import requests
url = "https://api.apyconnect.io/v1/objects/{key}/records/{id}/move"
payload = {
"stage": "<string>",
"approval_note": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({stage: '<string>', approval_note: '<string>'})
};
fetch('https://api.apyconnect.io/v1/objects/{key}/records/{id}/move', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.apyconnect.io/v1/objects/{key}/records/{id}/move",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'stage' => '<string>',
'approval_note' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.apyconnect.io/v1/objects/{key}/records/{id}/move"
payload := strings.NewReader("{\n \"stage\": \"<string>\",\n \"approval_note\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.apyconnect.io/v1/objects/{key}/records/{id}/move")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"stage\": \"<string>\",\n \"approval_note\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.apyconnect.io/v1/objects/{key}/records/{id}/move")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"stage\": \"<string>\",\n \"approval_note\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"object": "stage_move",
"moved": true,
"status": "moved",
"stage": "<string>",
"approval_id": "<string>"
},
"meta": {
"request_id": "<string>"
}
}{
"data": {
"object": "stage_move",
"moved": true,
"status": "moved",
"stage": "<string>",
"approval_id": "<string>"
},
"meta": {
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"trace_id": "<string>",
"details": "<unknown>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"trace_id": "<string>",
"details": "<unknown>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"trace_id": "<string>",
"details": "<unknown>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"trace_id": "<string>",
"details": "<unknown>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"trace_id": "<string>",
"details": "<unknown>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"trace_id": "<string>",
"details": "<unknown>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"trace_id": "<string>",
"details": "<unknown>"
}
}Autorizaciones
Opaque token issued by /oauth/token.
Cuerpo
application/json
